/**
* The MIT License
*
* Copyright (c) 2013 saka-en, http://www.saka-en.com/
*
* Permission is hereby granted, free of charge, to any person obtaining a copy
* of this software and associated documentation files (the "Software"), to deal
* in the Software without restriction, including without limitation the rights
* to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
* copies of the Software, and to permit persons to whom the Software is
* furnished to do so, subject to the following conditions:
*
* The above copyright notice and this permission notice shall be included in
* all copies or substantial portions of the Software.
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*/

/**
 * lw肵ɎľܓlԂ܂B
 * 
 * @param value l
 * @param digit 
 * @return ľܓl
 */
function round(value, digit) {
	return roundCalc(value, digit, "1");
}
/**
 * l؂グ܂B
 * 
 * @param value l
 * @param digit 
 * @return ؂グl
 */
function roundUp(value, digit) {
	return roundCalc(value, digit, "2");
}
/**
 * l؂̂Ă܂B
 * 
 * @param value l
 * @param digit 
 * @return ؂̂Ăl
 */
function roundDown(value, digit) {
	return roundCalc(value, digit, "3");
}
/**
 * w肳ꂽ@ÂvZ܂B
 * 
 * @param value l
 * @param digit 
 * @param method '1': ľܓ, '2': ؂グ, '3': ؂̂
 * @return vZl
 */
function roundCalc(value, digit, method) {
	if ( value == "" || digit == "" || method == "" ) {
		return value;
	}
	var v = Number(value)
	if ( isNaN(v) )
		return value;
	var d = Number(digit)
	if ( isNaN(d) )
		return value;
	var t = "1";
	for ( i = 0; i < Number(d); i++ ) {
		t += "0";
	}
	var digits = Number(t);
	// ľܓ
	if ( method == "1" )
		return Math.round(parseFloat(value) * digits) / digits;
	// ؂グ
	if ( method == "2" )
		return Math.ceil(parseFloat(value) * digits) / digits;
	// ؂̂
	if ( method == "3" )
		return Math.floor(parseFloat(value) * digits) / digits;
	return value;
}
